View Issue Details

IDProjectCategoryView StatusLast Update
00300882.x IDE BugsSound EditorPublic2019-01-29 16:18
ReporterDanAssigned ToMike Dailly 
PriorityHighSeverityA - Crash/HangReproducibilityUnable To Reproduce
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.0 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030088: Sound Editor: Crash when creating a new sound resource
DescriptionUser sees the IDE crash when they attempt to create a new sound resource, even following the ffmpeg change in 2.2.0.

Video attached to the ticket also, and here's the crash info:

[10:46:25:365(7fa2)] --------------------------------------------------------------------------------
[10:46:25:365(7fa2)] Main Exception Handler: System.AccessViolationException
[10:46:25:365(7fa2)] Exception message: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
[10:46:25:373(7fa2)] Exception stack: at YoYoStudio.Sound.SoundInstance.FFmpegCreateStream(String _path, UInt32 _streamId)
   at YoYoStudio.Sound.SoundInstance.set_PathToSound(String value)
   at YoYoStudio.Sound.SoundInstance..ctor(String _pathToSound, Boolean _immediate, Single _volume)
   at YoYoStudio.Plugins.CorePlugins.SoundEditor.SoundEditorModule.OpenSoundEditor(GMSound_Controller _sound, TabItem _workspace, WorkspaceChainInfo _chainInfo)
   at YoYoStudio.Plugins.CorePlugins.SoundEditor.SoundEditorModule.Initialise(ModulePackage _ide)
   at YoYoStudio.Plugins.Command.Perform(Function _command, String _action, Object[] _parameters)
   at YoYoStudio.Plugins.Command.execute_object(String _command, Object _focus, Object[] paramaters)
   at YoYoStudio.Plugins.Command.execute_object(String _command, Object _focus, Object[] paramaters)
   at WeakDelegate(Object , Object[] )
   at YoYoStudio.Core.Utils.WeakDelegate`1.Invoke(Object[] _args)
   at YoYoStudio.Core.Utils.WeakEvent`1.Throw(InterruptEvent _interrupt, Object[] _args)
   at YoYoStudio.GUI.GUIBase.MouseLeftDoubleClick(Single _mousex, Single _mousey, eMouseButtons _buttons)
   at YoYoStudio.GUI.WindowManager.DoActualMouseEvents(GUIBase _gadget, Int32 _mx, Int32 _my, eMouseButtons _buttons, Boolean _includeMouseOver, MouseEventPacket _mouseEvent)
   at YoYoStudio.GUI.WindowManager.ProcessMouse(Boolean _finalState, Int32 _mx, Int32 _my, eMouseButtons _buttons, MouseEventPacket _mouseEvent)
   at YoYoStudio.GUI.WindowManager.<HandleMouseEvents>b__62_0(MouseEventPacket _mouseevent)
   at YoYoStudio.Graphics.DesktopManager.ProcessMouseEvents(Action`1 _process)
   at YoYoStudio.GUI.WindowManager.HandleMouseEvents()
   at YoYoStudio.GUI.WindowManager.DoEvents()
   at YoYoStudio.IDE.Run()
   at YoYoStudio.IDE.Execute(String[] _args, Int32 _initialWidth, Int32 _initialHeight)
   at YoYoStudio.Program.Main(String[] _main_args)
Tagsaudio, IDE
2.x IDE Found In2.2.0.343
2.x Runtime Found In2.2.0.261
2.x IDE Verified In2.2.2.387
2.x Runtime Verified In2.2.2.302

Activities

Dan

2018-10-18 09:51

Adminstrator  

soundeditorcrash.log (363,631 bytes)

Steven Campbell

2018-10-19 10:50

Manager   ~0061798

That has crashed in the FFmpegWrapper dll effectively.. which means it's more likely to be the sound it doesn't like.
I've put a potential fix in to the IDE side in case it's a bad filename, but will need the project or at least the problem sound to verify.

Steven Campbell

2018-10-22 11:35

Manager   ~0061810

Potential fix in Red IDE/GitHub Pull Request 4317
Git Id: 0dd0ced7ca5aa664653b109c7d77eb695aff90a1

Mike Dailly

2018-11-15 14:13

Developer   ~0062057

Assuming this to now fixed, as the original ticket has been closed, so no further info is forthcoming.

Matthew McInnes

2019-01-29 16:18

Developer   ~0062558

Closing. Verified as fixed in:

IDE v2.2.2.387 Runtime v2.2.2.302